Bug 109456 - [WK2][EFL][WTR] Regression(r141836): WTR crashes on exit
Summary: [WK2][EFL][WTR] Regression(r141836): WTR crashes on exit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mikhail Pozdnyakov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-11 09:33 PST by Mikhail Pozdnyakov
Modified: 2013-02-13 07:58 PST (History)
8 users (show)

See Also:


Attachments
patch (3.23 KB, patch)
2013-02-11 10:55 PST, Mikhail Pozdnyakov
benjamin: review-
benjamin: commit-queue-
Details | Formatted Diff | Diff
patch v2 (3.12 KB, patch)
2013-02-12 01:10 PST, Mikhail Pozdnyakov
no flags Details | Formatted Diff | Diff
patch v3 (3.12 KB, patch)
2013-02-13 05:34 PST, Mikhail Pozdnyakov
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Pozdnyakov 2013-02-11 09:33:33 PST
SSIA.
#1  0x00007fffeff96d33 in WebKit::WebPageProxy::close (this=0x68e2a0) at /media/ssd/WebKit/Source/WebKit2/UIProcess/WebPageProxy.cpp:459
#2  0x00007ffff0160a36 in WebKit::WebView::~WebView (this=0xe96550, __in_chrg=<optimized out>) at /media/ssd/WebKit/Source/WebKit2/UIProcess/efl/WebView.cpp:54
#3  0x00007ffff0160a84 in WebKit::WebView::~WebView (this=0xe96550, __in_chrg=<optimized out>) at /media/ssd/WebKit/Source/WebKit2/UIProcess/efl/WebView.cpp:55
#4  0x00007fffefee5224 in WTF::ThreadSafeRefCounted<WebKit::APIObject>::deref (this=0xe96558) at /media/ssd/WebKit/Source/WTF/wtf/ThreadSafeRefCounted.h:137
#5  0x00007fffeff27a76 in WKRelease (typeRef=0xe96550) at /media/ssd/WebKit/Source/WebKit2/Shared/API/c/WKType.cpp:47
#6  0x0000000000435ea3 in WTR::PlatformWebView::~PlatformWebView (this=0x496d90, __in_chrg=<optimized out>)
    at /media/ssd/WebKit/Tools/WebKitTestRunner/efl/PlatformWebViewEfl.cpp:80
#7  0x0000000000424c7f in WTF::deleteOwnedPtr<WTR::PlatformWebView> (ptr=0x496d90) at /media/ssd/WebKit/Source/WTF/wtf/OwnPtrCommon.h:63
#8  0x0000000000423adf in WTF::OwnPtr<WTR::PlatformWebView>::~OwnPtr (this=0x7fffffffdd48, __in_chrg=<optimized out>)
    at /media/ssd/WebKit/Source/WTF/wtf/OwnPtr.h:63
#9  0x000000000041d947 in WTR::TestController::~TestController (this=0x7fffffffdce0, __in_chrg=<optimized out>)
    at /media/ssd/WebKit/Tools/WebKitTestRunner/TestController.cpp:115
#10 0x0000000000436547 in main (argc=2, argv=0x7fffffffdef8) at /media/ssd/WebKit/Tools/WebKitTestRunner/efl/main.cpp:53
Comment 1 Mikhail Pozdnyakov 2013-02-11 10:28:42 PST
Ahh.. several different problem lead to exact same crash..!! (at the same time )
Comment 2 Mikhail Pozdnyakov 2013-02-11 10:55:39 PST
Created attachment 187615 [details]
patch

Kill two crashes with one patch
Comment 3 Benjamin Poulain 2013-02-11 13:27:04 PST
Comment on attachment 187615 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187615&action=review

> Source/WebKit2/ChangeLog:8
> +        WebView dtor now consideres the situation if its WebPageProxy

dtor->destructor.
consideres->considers

> Source/WebKit2/UIProcess/efl/WebView.cpp:54
> +    // Can be closed already from outside the class.

This comments does not add enough information to be useful.
You should either remove the comment, or full explain the events that leads to such situation.

> Tools/WebKitTestRunner/efl/main.cpp:52
> +        // Prefer the not installed web and plugin processes.

What??
Comment 4 Mikhail Pozdnyakov 2013-02-11 14:26:57 PST
Comment on attachment 187615 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=187615&action=review

>> Source/WebKit2/UIProcess/efl/WebView.cpp:54
>> +    // Can be closed already from outside the class.
> 
> This comments does not add enough information to be useful.
> You should either remove the comment, or full explain the events that leads to such situation.

ok.

>> Tools/WebKitTestRunner/efl/main.cpp:52
>> +        // Prefer the not installed web and plugin processes.
> 
> What??

that's not my comment, changing/removing it wasn't within scope of this patch :)

Thanks for review!
Comment 5 Mikhail Pozdnyakov 2013-02-12 01:10:47 PST
Created attachment 187804 [details]
patch v2

Took comments from Benjamin into consideration.
Comment 6 Kenneth Rohde Christiansen 2013-02-12 05:24:24 PST
Comment on attachment 187804 [details]
patch v2

View in context: https://bugs.webkit.org/attachment.cgi?id=187804&action=review

> Tools/WebKitTestRunner/efl/main.cpp:49
> +        // Test controller has own ptr containing WebView and Webview must be deleted

Spelling Webview* -> WebView
Comment 7 Mikhail Pozdnyakov 2013-02-13 05:34:02 PST
Created attachment 188062 [details]
patch v3

Fixed misspelling in the comment.
Comment 8 WebKit Review Bot 2013-02-13 07:58:53 PST
Comment on attachment 188062 [details]
patch v3

Clearing flags on attachment: 188062

Committed r142748: <http://trac.webkit.org/changeset/142748>
Comment 9 WebKit Review Bot 2013-02-13 07:58:58 PST
All reviewed patches have been landed.  Closing bug.